[INFO] fetching crate http-async 0.1.2...
[INFO] documenting http-async-0.1.2 against beta-2020-10-09 for beta-1.48-rustdoc-1
[INFO] extracting crate http-async 0.1.2 into /workspace/builds/worker-4/source
[INFO] validating manifest of crates.io crate http-async 0.1.2 on toolchain beta-2020-10-09
[INFO] running `Command { std: "/workspace/cargo-home/bin/cargo" "+beta-2020-10-09" "read-manifest" "--manifest-path" "Cargo.toml", kill_on_drop: false }`
[INFO] started tweaking crates.io crate http-async 0.1.2
[INFO] finished tweaking crates.io crate http-async 0.1.2
[INFO] tweaked toml for crates.io crate http-async 0.1.2 written to /workspace/builds/worker-4/source/Cargo.toml
[INFO] running `Command { std: "/workspace/cargo-home/bin/cargo" "+beta-2020-10-09" "generate-lockfile" "--manifest-path" "Cargo.toml" "-Zno-index-update", kill_on_drop: false }`
[INFO] running `Command { std: "/workspace/cargo-home/bin/cargo" "+beta-2020-10-09" "fetch" "--locked" "--manifest-path" "Cargo.toml", kill_on_drop: false }`
[INFO] running `Command { std: "docker" "create" "-v" "/var/lib/crater-agent-workspace/builds/worker-4/target:/opt/rustwide/target:rw,Z" "-v" "/var/lib/crater-agent-workspace/builds/worker-4/source:/opt/rustwide/workdir:ro,Z" "-v" "/var/lib/crater-agent-workspace/cargo-home:/opt/rustwide/cargo-home:ro,Z" "-v" "/var/lib/crater-agent-workspace/rustup-home:/opt/rustwide/rustup-home:ro,Z" "-e" "SOURCE_DIR=/opt/rustwide/workdir" "-e" "CARGO_TARGET_DIR=/opt/rustwide/target" "-e" "CARGO_HOME=/opt/rustwide/cargo-home" "-e" "RUSTUP_HOME=/opt/rustwide/rustup-home" "-w" "/opt/rustwide/workdir" "-m" "1610612736" "--user" "0:0" "--network" "none" "rustops/crates-build-env@sha256:d92eaeed33fa75130ca1ee6c8a01d1ffb62bac859dfdfb3450e3e5d1c0146529" "/opt/rustwide/cargo-home/bin/cargo" "+beta-2020-10-09" "metadata" "--no-deps" "--format-version=1", kill_on_drop: false }`
[INFO] [stdout] 2f6c8dcabc33a8b7ee39c012f23805ae0b08516587528c437fb0e7ad623156d5
[INFO] [stderr] WARNING: Your kernel does not support swap limit capabilities or the cgroup is not mounted. Memory limited without swap.
[INFO] running `Command { std: "docker" "start" "-a" "2f6c8dcabc33a8b7ee39c012f23805ae0b08516587528c437fb0e7ad623156d5", kill_on_drop: false }`
[INFO] running `Command { std: "docker" "inspect" "2f6c8dcabc33a8b7ee39c012f23805ae0b08516587528c437fb0e7ad623156d5", kill_on_drop: false }`
[INFO] running `Command { std: "docker" "rm" "-f" "2f6c8dcabc33a8b7ee39c012f23805ae0b08516587528c437fb0e7ad623156d5", kill_on_drop: false }`
[INFO] [stdout] 2f6c8dcabc33a8b7ee39c012f23805ae0b08516587528c437fb0e7ad623156d5
[INFO] running `Command { std: "docker" "create" "-v" "/var/lib/crater-agent-workspace/builds/worker-4/target:/opt/rustwide/target:rw,Z" "-v" "/var/lib/crater-agent-workspace/builds/worker-4/source:/opt/rustwide/workdir:ro,Z" "-v" "/var/lib/crater-agent-workspace/cargo-home:/opt/rustwide/cargo-home:ro,Z" "-v" "/var/lib/crater-agent-workspace/rustup-home:/opt/rustwide/rustup-home:ro,Z" "-e" "SOURCE_DIR=/opt/rustwide/workdir" "-e" "CARGO_TARGET_DIR=/opt/rustwide/target" "-e" "CARGO_INCREMENTAL=0" "-e" "RUST_BACKTRACE=full" "-e" "RUSTDOCFLAGS=--cap-lints=warn" "-e" "CARGO_HOME=/opt/rustwide/cargo-home" "-e" "RUSTUP_HOME=/opt/rustwide/rustup-home" "-w" "/opt/rustwide/workdir" "-m" "1610612736" "--user" "0:0" "--network" "none" "rustops/crates-build-env@sha256:d92eaeed33fa75130ca1ee6c8a01d1ffb62bac859dfdfb3450e3e5d1c0146529" "/opt/rustwide/cargo-home/bin/cargo" "+beta-2020-10-09" "doc" "--frozen" "--no-deps" "--document-private-items" "--message-format=json", kill_on_drop: false }`
[INFO] [stderr] WARNING: Your kernel does not support swap limit capabilities or the cgroup is not mounted. Memory limited without swap.
[INFO] [stdout] c909d268ed6300b40d6e25f889b90a22035525e33e26317dc61899ee7e46fd75
[INFO] running `Command { std: "docker" "start" "-a" "c909d268ed6300b40d6e25f889b90a22035525e33e26317dc61899ee7e46fd75", kill_on_drop: false }`
[INFO] [stderr]     Checking cache-padded v1.1.1
[INFO] [stderr]    Compiling log v0.4.11
[INFO] [stderr]     Checking futures-io v0.3.6
[INFO] [stderr]     Checking waker-fn v1.1.0
[INFO] [stderr]     Checking fastrand v1.4.0
[INFO] [stderr]     Checking parking v2.0.0
[INFO] [stderr]     Checking vec-arena v1.0.0
[INFO] [stderr]     Checking event-listener v2.5.1
[INFO] [stderr]     Checking async-task v4.0.3
[INFO] [stderr]     Checking atomic-waker v1.0.0
[INFO] [stderr]     Checking nb-connect v1.0.2
[INFO] [stderr]     Checking concurrent-queue v1.2.2
[INFO] [stderr]     Checking async-mutex v1.4.0
[INFO] [stderr]     Checking futures-lite v1.11.1
[INFO] [stderr]     Checking async-channel v1.5.1
[INFO] [stderr]     Checking polling v2.0.2
[INFO] [stderr]     Checking kv-log-macro v1.0.7
[INFO] [stderr]     Checking async-executor v1.3.0
[INFO] [stderr]     Checking async-io v1.1.10
[INFO] [stderr]     Checking blocking v1.0.2
[INFO] [stderr]     Checking async-global-executor v1.4.0
[INFO] [stderr]     Checking async-std v1.6.5
[INFO] [stderr]  Documenting http-async v0.1.2 (/opt/rustwide/workdir)
[INFO] [stdout] warning: unresolved link to `RFC2518`
[INFO] [stdout]   --> source/status.rs:21:30
[INFO] [stdout]    |
[INFO] [stdout] 21 |   /// 102 – Processing, see [RFC2518].
[INFO] [stdout]    |                              ^^^^^^^ the module `status` contains no item named `RFC2518`
[INFO] [stdout]    |
[INFO] [stdout]    = note: `#[warn(broken_intra_doc_links)]` on by default
[INFO] [stdout]    = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC8297`
[INFO] [stdout]   --> source/status.rs:23:31
[INFO] [stdout]    |
[INFO] [stdout] 23 |   /// 103 – Early Hints, see [RFC8297].
[INFO] [stdout]    |                               ^^^^^^^ the module `status` contains no item named `RFC8297`
[INFO] [stdout]    |
[INFO] [stdout]    = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC4918`
[INFO] [stdout]   --> source/status.rs:39:32
[INFO] [stdout]    |
[INFO] [stdout] 39 |   /// 207 – Multi-Status, see [RFC4918].
[INFO] [stdout]    |                                ^^^^^^^ the module `status` contains no item named `RFC4918`
[INFO] [stdout]    |
[INFO] [stdout]    = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC5842`
[INFO] [stdout]   --> source/status.rs:41:36
[INFO] [stdout]    |
[INFO] [stdout] 41 |   /// 208 – Already Reported, see [RFC5842].
[INFO] [stdout]    |                                    ^^^^^^^ the module `status` contains no item named `RFC5842`
[INFO] [stdout]    |
[INFO] [stdout]    = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC3229`
[INFO] [stdout]   --> source/status.rs:43:27
[INFO] [stdout]    |
[INFO] [stdout] 43 |   /// 226 – IM Used, see [RFC3229].
[INFO] [stdout]    |                           ^^^^^^^ the module `status` contains no item named `RFC3229`
[INFO] [stdout]    |
[INFO] [stdout]    = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC7538`
[INFO] [stdout]   --> source/status.rs:59:38
[INFO] [stdout]    |
[INFO] [stdout] 59 |   /// 308 – Permanent Redirect, see [RFC7538].
[INFO] [stdout]    |                                      ^^^^^^^ the module `status` contains no item named `RFC7538`
[INFO] [stdout]    |
[INFO] [stdout]    = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC4918`
[INFO] [stdout]   --> source/status.rs:99:40
[INFO] [stdout]    |
[INFO] [stdout] 99 |   /// 422 – Unprocessable Entity, see [RFC4918].
[INFO] [stdout]    |                                        ^^^^^^^ the module `status` contains no item named `RFC4918`
[INFO] [stdout]    |
[INFO] [stdout]    = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC4918`
[INFO] [stdout]    --> source/status.rs:101:26
[INFO] [stdout]     |
[INFO] [stdout] 101 |   /// 423 – Locked, see [RFC4918].
[INFO] [stdout]     |                          ^^^^^^^ the module `status` contains no item named `RFC4918`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC4918`
[INFO] [stdout]    --> source/status.rs:103:37
[INFO] [stdout]     |
[INFO] [stdout] 103 |   /// 424 – Failed Dependency, see [RFC4918].
[INFO] [stdout]     |                                     ^^^^^^^ the module `status` contains no item named `RFC4918`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC8470`
[INFO] [stdout]    --> source/status.rs:105:29
[INFO] [stdout]     |
[INFO] [stdout] 105 |   /// 425 – Too Early, see [RFC8470].
[INFO] [stdout]     |                             ^^^^^^^ the module `status` contains no item named `RFC8470`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC6585`
[INFO] [stdout]    --> source/status.rs:109:41
[INFO] [stdout]     |
[INFO] [stdout] 109 |   /// 428 – Precondition Required, see [RFC6585].
[INFO] [stdout]     |                                         ^^^^^^^ the module `status` contains no item named `RFC6585`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC6585`
[INFO] [stdout]    --> source/status.rs:111:37
[INFO] [stdout]     |
[INFO] [stdout] 111 |   /// 429 – Too Many Requests, see [RFC6585].
[INFO] [stdout]     |                                     ^^^^^^^ the module `status` contains no item named `RFC6585`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC6585`
[INFO] [stdout]    --> source/status.rs:113:51
[INFO] [stdout]     |
[INFO] [stdout] 113 |   /// 431 – Request Header Fields Too Large, see [RFC6585].
[INFO] [stdout]     |                                                   ^^^^^^^ the module `status` contains no item named `RFC6585`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC7725`
[INFO] [stdout]    --> source/status.rs:115:49
[INFO] [stdout]     |
[INFO] [stdout] 115 |   /// 451 – Unavailable For Legal Reasons, see [RFC7725].
[INFO] [stdout]     |                                                 ^^^^^^^ the module `status` contains no item named `RFC7725`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC2295`
[INFO] [stdout]    --> source/status.rs:129:43
[INFO] [stdout]     |
[INFO] [stdout] 129 |   /// 506 – Variant Also Negotiates, see [RFC2295].
[INFO] [stdout]     |                                           ^^^^^^^ the module `status` contains no item named `RFC2295`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC4918`
[INFO] [stdout]    --> source/status.rs:131:40
[INFO] [stdout]     |
[INFO] [stdout] 131 |   /// 507 – Insufficient Storage, see [RFC4918].
[INFO] [stdout]     |                                        ^^^^^^^ the module `status` contains no item named `RFC4918`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC5842`
[INFO] [stdout]    --> source/status.rs:133:33
[INFO] [stdout]     |
[INFO] [stdout] 133 |   /// 508 – Loop Detected, see [RFC5842].
[INFO] [stdout]     |                                 ^^^^^^^ the module `status` contains no item named `RFC5842`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC2774`
[INFO] [stdout]    --> source/status.rs:135:32
[INFO] [stdout]     |
[INFO] [stdout] 135 |   /// 510 – Not Extended, see [RFC2774].
[INFO] [stdout]     |                                ^^^^^^^ the module `status` contains no item named `RFC2774`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC6585`
[INFO] [stdout]    --> source/status.rs:137:51
[INFO] [stdout]     |
[INFO] [stdout] 137 |   /// 511 – Network Authentication Required, see [RFC6585].
[INFO] [stdout]     |                                                   ^^^^^^^ the module `status` contains no item named `RFC6585`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: 19 warnings emitted
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stderr]     Finished dev [unoptimized + debuginfo] target(s) in 11.96s
[INFO] running `Command { std: "docker" "inspect" "c909d268ed6300b40d6e25f889b90a22035525e33e26317dc61899ee7e46fd75", kill_on_drop: false }`
[INFO] running `Command { std: "docker" "rm" "-f" "c909d268ed6300b40d6e25f889b90a22035525e33e26317dc61899ee7e46fd75", kill_on_drop: false }`
[INFO] [stdout] c909d268ed6300b40d6e25f889b90a22035525e33e26317dc61899ee7e46fd75
